const { spotify} = require('../utilities/spotify')

exports.command = 'repeat'
exports.handler = argv => argv
    .option('all', {
        type: 'boolean',
        description: 'Repeat every track once',
    })
    .option('one', {
        type: 'boolean',
        description: 'Repeat one track',
    })
    .option('off', {
        type: 'boolean',
        description: 'Turn repeat off',
    })
exports.handler = async ({ all, one }) => {
    let state = 'off';
    switch (true) {
        case all:
            state = 'context';
            break;
        case one:
            state = 'track';
            break;
    }

    try {
        await spotify.ensure();
        await spotify.setRepeat(state);
    } catch (e) {
        console.error(e.message);
    }
};